#ifndef VIDEOPROPERTIES_H
#define VIDEOPROPERTIES_H

class VideoProperties
{
public:
  VideoProperties(int w, int h, int len, float fps, int chans, int srate);
  ~VideoProperties();
  
  void SetWidth(int w);
  int GetWidth();
  void SetHeight(int h);
  int GetHeight();
  void SetLength(int len);
  int GetLength();
  void SetFramerate(float fps);
  float GetFramerate();
  //Audio
  void SetNChannels(int chans);
  int GetNChannels();
  void SetSampleRate(int srate);
  int GetSampleRate();

private:
  int width, height, length;
  float framerate;
  //Audio properties
  int nChannels, samplerate;
};




#endif //#ifndef VIDEOPROPERTIES_H
