#include "videoProperties.h"

VideoProperties::VideoProperties(int w, int h, int len, float fps, 
				 int chans, int srate)
{
  width = w;
  height = h;
  length = len;
  framerate = fps;
  nChannels = chans;
  samplerate = srate;
}

VideoProperties::~VideoProperties()
{
}

void VideoProperties::SetWidth(int w)
{
  width = w;
}

int VideoProperties::GetWidth()
{
  return width;
}

void VideoProperties::SetHeight(int h)
{
  height = h;
}

int VideoProperties::GetHeight()
{
  return height;
}

void VideoProperties::SetLength(int len)
{
  length = len;
}

int VideoProperties::GetLength()
{
  return length;
}

void VideoProperties::SetFramerate(float fps)
{
  framerate = fps;
}

float VideoProperties::GetFramerate()
{
  return framerate;
}

void VideoProperties::SetNChannels(int chans)
{
  nChannels = chans;
}

int VideoProperties::GetNChannels()
{
  return nChannels;
}

void VideoProperties::SetSampleRate(int srate)
{
  samplerate = srate;
}

int VideoProperties::GetSampleRate()
{
  return samplerate;
}
